/*
	Copyright (c) 2004-2011, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


/*
	Copyright (c) 2004-2011, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource["epages.cartridges.de_epages.design.widget.Toolsimpleinput"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["epages.cartridges.de_epages.design.widget.Toolsimpleinput"] = true;
/*
	Copyright (c) 2006-2007, ePages GmbH
	All Rights Reserved.
*/

dojo.provide("epages.cartridges.de_epages.design.widget.Toolsimpleinput");

dojo.require("epages.widget.LocalizedWidget");
dojo.require("epages.widget.Validateinput");

dojo.declare(
	"epages.cartridges.de_epages.design.widget.Toolsimpleinput",
	[epages.widget.LocalizedWidget, dijit._Container, dijit._Contained],
	{
		/**
		 * public properties
		 */
		label           : '',
		value           : '',
		inputType       : '',
		objectId        : '',
		lockLevel       : '', /* locklevel > 0 => attribute locked */
		validationType  : '',
		inputCssClass		: '',
		settings        : '',
		inputId         : '',
		customId        : true,
		/**
		 * widget properties
		 */
		templateString:"<tr>\n  <td class=\"InputLabelling\">${label}</td>\n  <td colspan=\"4\">\n    <input dojoType=\"epages.widget.Validateinput\"\n           validationType=\"${validationType}\"\n           dojoAttachPoint=\"inputWidget\"\n           id=\"${inputId}\"\n           name=\"${objectId}:${inputType}\"\n           value=\"${value}\"\n           class=\"${inputCssClass}\"\n           type=\"text\"\n           settings=\"${settings}\"\n           />\n  </td>\n  <td></td>\n</tr>\n",
		translationName : dojo.moduleUrl('epages.cartridges.de_epages.design.widget' , 'templates/translation'),
		imagePath       : epages.themeUrl('images'),
		widgetsInTemplate : true,

		postMixInProperties: function(){
			this.inherited("postMixInProperties", arguments);
			if(this.customId){
				this.inputId = this.inputType;
			}
		},

		// override
		postCreate  : function() {
			// summary: initalize widget
			// description: show lock icon and disable input field if locklevel is passed
			this.inherited("postCreate", arguments);
			if(this.lockLevel == '1' || this.lockLevel == '2') {
					this.inputWidget.domNode.disabled=true;
					this.domNode.className+=" disabled";
			}
		}
	});

}
